## class MessageLogDialog : public TextViewDialog

> Dialog to display a message log.

## Inheritance:

### Public Methods

  | MessageLogDialog (Widget parent)
  const char* | GetClassName ()
  void | InsertText (const char *txt)
  void | InsertText (const string *txt)

### Protected Methods

  void | Configure ()

### Inherited from TextViewDialog:

### Public Methods

void Popup()
void SetTextSize(int nrOfRows, int nrOfColumns)
void SetTextRows(int nrOfRows)
void SetTextColumns(int nrOfColumns)
void SetTextMaxSize(int nrOfRows, int nrOfColumns)
void SetTextString(const string *text)
void GetTextString(string *t)
void SetStatus(const char *s)
void SetStatus(const string *s)
void SetDirectory(const char *d)
void SetDirectory(const string *d)
void Save()
void Print()
bool SaveFile(const char *file)
bool SaveFile(const string *file)
bool LoadFile(const char *file)
bool LoadFile(const string *file)
void DeleteAll()
void Cut()
void Copy()
void Paste()
void ClearSelection()
void Find()
void ClearFind()
void DoFind(int n)
FileSelectionDialog* GetFileSelectionDialog()

### Protected Fields

MenuItem* fileItems
MenuItem* editItems
MenuItem* searchItems

### Protected Methods

void CreateWidget()
Widget GetTextWidget()
ReplaceDialog* GetReplaceDialog()
void SetReplaceDialog(ReplaceDialog *r)
virtual void InitMenuItems()
static void PrintCB(Widget, XtPointer, XtPointer)
static void SaveAsCB(Widget, XtPointer, XtPointer)
static void SaveOKCB(Widget, XtPointer, XtPointer)
static void CopyCB(Widget, XtPointer, XtPointer)
static void FindCB(Widget, XtPointer, XtPointer)
static void FindNextCB(Widget, XtPointer, XtPointer)
static void FindAllCB(Widget, XtPointer, XtPointer)
static void ClearSelectionCB(Widget, XtPointer, XtPointer)
static void ClearFindCB(Widget, XtPointer, XtPointer)

### Inherited from Dialog:

### Public Fields

static const unsigned MAXTITLE

### Public Methods

void Initialize()
virtual void SetOKCallback(XtCallbackProc fun, XtPointer clientData)
virtual void SetCancelCallback(XtCallbackProc fun, XtPointer clientData)
virtual void SetHelpCallback(XtCallbackProc fun, XtPointer clientData)
void SetOKButtonLabel(const char *txt)
void SetCancelButtonLabel(const char *txt)
void SetHelpButtonLabel(const char *txt)
void ManageOKButton(bool)
void ManageCancelButton(bool)
void ManageHelpButton(bool)
virtual void SetAutoDestroy(bool b)
virtual void Popdown()
void SetTitle(const char *title)
void SetTitle(const string *title)
void GetTitle(char *title)
void GetTitle(string *title)
void SetModal(bool b)
void SetAutoUnmanage(bool b)
bool GetAutoUnmanage()
void SetCenteredOnPointer(bool b)
static void UnmanageCB(Widget, XtPointer, XtPointer)
static void DestroyCB(Widget, XtPointer, XtPointer)
static void DestroyWidgetCB(Widget, XtPointer, XtPointer)
static void TraverseNextCB(Widget, XtPointer, XtPointer)
static void TraverseNextGroupCB(Widget, XtPointer, XtPointer)

### Protected Methods

Widget GetParent()
void ManageWidget(Widget, bool)
void ManageCenteredOnPointer()

### Inherited from MWidget:

### Public Methods

virtual void Manage()
bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
virtual void Unmanage()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> Dialog to display a message log.

`MessageLogDialog(Widget parent)`

`const char* GetClassName()`

`void InsertText(const char *txt)`

`void InsertText(const string *txt)`

`void Configure()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de